# lookatme.parser module

This module defines the parser for the markdown presentation file

class lookatme.parser.Parser(single_slide=False)

  Bases: `object`

  A parser for markdown presentation files

  parse(input_data)

    Parse the provided input data into a Presentation object

    Parameters:

      input_data (str) – The input markdown presentation to parse

    Returns:

      Presentation

  parse_meta(input_data) → Tuple[AnyStr, Dict]

    Parse the PresentationMeta out of the input data

    Parameters:

      input_data (str) – The input data string

    Returns:

      tuple of (remaining_data, meta)

  parse_slides(meta, input_data)

    Parse the Slide out of the input data

    Parameters:

      - meta (dict) – The parsed meta values

      - input_data (str) – The input data string

    Returns:

      tuple of (remaining_data, slide)

lookatme.parser.is_progressive_slide_delimiter_token(token)

  Returns True if the token indicates the end of a progressive slide

  Parameters:

    token (dict) – The markdown token

  Returns:

    True if the token is a progressive slide delimiter